Bug 847605 - Haven't add hot_deploy instructions to README for ruby-1.8,ruby-1.9
Haven't add hot_deploy instructions to README for ruby-1.8,ruby-1.9
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 02:28 EDT by Wei Sun
Modified: 2015-05-14 18:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-08-13 02:28:07 EDT
Description of problem:
Hot_deploy instructions haven't been added to README for ruby-1.8,ruby-1.9

Version-Release number of selected component (if applicable):
rhc-0.97.5-1.el6_3.noarch

How reproducible:

always

Steps to Reproduce:
1.create a ruby app
2.cd .openshift/makers/
3.cat README
  
Actual results:
Haven't hot_deploy instructions 

Expected results:
add hot_deploy instructions to README

Additional info:

[wsun@localhost markers]$ cat README 
Markers
===========

Adding marker files to this directory will have the following effects:

force_clean_build - Previous output from bundle install --deployment will be 
     removed and all gems will be reinstalled according to the current 
     Gemfile/Gemfile.lock.
Comment 1 Ram Ranganathan 2012-08-14 19:44:11 EDT
Fixed with git commit ee24067c6025e236802cfe61e92561dc246c0f5b 
Waiting for merge on github pull request 
   https://github.com/openshift/crankcase/pull/376
Comment 2 Wei Sun 2012-08-20 04:18:22 EDT
verified on devenv_2029
1.create a ruby app
2. cd .openshift/makers/
3. cat README

[sunwei@dhcp-8-229 markers]$ cat README 
Markers
===========

Adding marker files to this directory will have the following effects:

force_clean_build - Previous output from bundle install --deployment will be
     removed and all gems will be reinstalled according to the current
     Gemfile/Gemfile.lock.

hot_deploy - Will prevent the apache process from being restarted during
    build/deployment. Note that mod_passenger will respawn the Rack worker
    processes if any code has been modified.

Note You need to log in before you can comment on or make changes to this bug.